be.fgov.ehealth.genericinsurability.core.v1

## Class HospitalizedType

- java.lang.Object
- - be.fgov.ehealth.genericinsurability.core.v1.HospitalizedType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:24:29+02:00",
                 comments="JAXB RI v2.3.7")
      public class HospitalizedType
      extends Object
      implements Serializable

  Java class for HospitalizedType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="HospitalizedType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Hospital" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}HospitalType"/>
               <element name="AdmissionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="AdmissionService" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}AdmissionServiceType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HospitalizedType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getAdmissionDate()` Gets the value of the admissionDate property.
    `String` | `getAdmissionService()` Gets the value of the admissionService property.
    `String` | `getHospital()` Gets the value of the hospital property.
    `void` | `setAdmissionDate(org.joda.time.DateTime value)` Sets the value of the admissionDate property.
    `void` | `setAdmissionService(String value)` Sets the value of the admissionService property.
    `void` | `setHospital(String value)` Sets the value of the hospital property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HospitalizedType

          public HospitalizedType()

  - ### Method Detail

    - #### getHospital

          public String getHospital()

      Gets the value of the hospital property.
      Returns:
        possible object is `String`

    - #### setHospital

          public void setHospital(String value)

      Sets the value of the hospital property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAdmissionDate

          public org.joda.time.DateTime getAdmissionDate()

      Gets the value of the admissionDate property.
      Returns:
        possible object is `String`

    - #### setAdmissionDate

          public void setAdmissionDate(org.joda.time.DateTime value)

      Sets the value of the admissionDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAdmissionService

          public String getAdmissionService()

      Gets the value of the admissionService property.
      Returns:
        possible object is `String`

    - #### setAdmissionService

          public void setAdmissionService(String value)

      Sets the value of the admissionService property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSDIETICIAN 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.